#
# spec file for package seafile
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           seafile
Version:        5.1.2
Release:        1.3
Summary:        File synchronization and collaboration platform for teams
License:        GPL-3.0
Group:          Productivity/Databases/Clients
Url:            https://github.com/haiwen/%{name}/tree/v%{version}
Source0:        https://github.com/haiwen/%{name}/archive/v%{version}-server.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  vala
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libccnet)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libsearpc)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(uuid)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Seafile enables you to build private cloud for file sharing and collaboration
among team members in your company/organization. First you create a file library
in the web and upload files to it. Then you share it into a team or with another
user. File libraries can also be synchronized among computers and mobile devices.
You download a library to your PC. Whenever you add, delete or edit a file, the
latest version be uploaded to the server automatically and then be synchronized
to everyone's computer.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Productivity/Databases/Clients
Requires:       libseafile0 = %{version}-%{release}
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(libsearpc)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n libseafile0
Summary:        Shared library for %{name}

%description -n libseafile0
The %{name}-devel package contains shared libraries for %{name}.

%prep
%setup -q -n %{name}-%{version}-server
# FIXME: should be properly handled upstream:
sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

%build
autoreconf -fiv
%configure \
	--disable-static
make %{?_smp_mflags}

%install
%make_install
# remove unneeded libarchive
rm %{buildroot}/%{_libdir}/libseafile.la

%post -n libseafile0 -p /sbin/ldconfig
%postun -n libseafile0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE.txt README.markdown
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_mandir}/man1/*.1.gz
%{python_sitearch}/seaserv
%{python_sitearch}/seafile

%files devel
%defattr(-,root,root)
%dir %{_includedir}/seafile/
%{_includedir}/seafile/*.h
%{_libdir}/libseafile.so
%{_libdir}/pkgconfig/libseafile.pc

%files -n libseafile0
%defattr(-,root,root)
%{_libdir}/libseafile.so.*

%changelog
* Wed Jun  8 2016 flyos@mailoo.org
- Update to version 5.1.2
* Sun Dec 27 2015 bruno@ioda-net.ch
- Update to version 5.0.3
* Wed Dec 16 2015 bruno@ioda-net.ch
- Update to version 5.0.2
* Mon Dec 14 2015 bruno@ioda-net.ch
- Update to version 4.3.2
* Thu Jun 18 2015 rsalevsky@suse.com
- Update to version 4.2.3
* Mon Apr  6 2015 mardnh@gmx.de
- Update to version 4.1.2
- specfile cleanup
* Thu Feb 12 2015 opensuse_buildservice@ojkastl.de
- created subpackage libseafile0 for shared library
- changes to spec to get rid of rpmlint errors
* Wed Feb 11 2015 opensuse_buildservice@ojkastl.de
- Update to version 4.0.6; deleted comments in spec
* Tue May  6 2014 opensuse_buildservice@ojkastl.de
- deleted Requires that have been introduced by error
* Tue May  6 2014 opensuse_buildservice@ojkastl.de
- upgrade to version 3.0.3
- changed license to GPL-3.0 (to avoid warnings)
